var window = Ti.UI.createWindow();

//create the marker overlay
var overlay = Ti.UI.createView({
	center: {
		x:0,
		y:0
	},
	width:100,
	height:100,
	backgroundColor:'#fff',
	borderRadius:12,
	borderColor:'#fff',
	visible:false
});
var label = Ti.UI.createLabel({
	text:'a',
	font: {
		fontSize:60
	},
	width:'auto',
	height:'auto',
	textAlign:'center'
});
overlay.add(label);

//load and init the module
var armarker = require('com.armarkerti');
var cameraView = armarker.createCameraView();

cameraView.add(overlay);

//everytime a marker is detected
cameraView.addEventListener('detected', function(e) {
	var hasMarker = false;
	//read through all markers
	for(var i in e.markers) {
		var marker = e.markers[i];
		//look for the 'a' marker code
		if(marker.code == 40863) {
			//create a 3d Matrix and assign the position
			var t = Ti.UI.iOS.create3DMatrix();

			t.m11 = marker.transform.m11;
			t.m12 = marker.transform.m12;
			t.m13 = marker.transform.m13;
			t.m14 = marker.transform.m14;
			t.m21 = marker.transform.m21;
			t.m22 = marker.transform.m22;
			t.m23 = marker.transform.m23;
			t.m24 = marker.transform.m24;
			t.m31 = marker.transform.m31;
			t.m32 = marker.transform.m32;
			t.m33 = marker.transform.m33;
			t.m34 = marker.transform.m34;
			t.m41 = marker.transform.m41;
			t.m42 = marker.transform.m42;
			t.m43 = marker.transform.m43;
			t.m44 = marker.transform.m44;

			overlay.animate({
				transform:t,
				duration:0
			});
			hasMarker = true;
			break;
		}
	}
	overlay.visible = hasMarker;
});

window.add(cameraView);
window.open();